<?php

/**
 * @file
 * Views integration for the Morningside translator module.
 */

/**
 * Implements hook_views_data().
 */
function tmgmt_morningside_views_api() {
  return array('api' => 3.0);
}

/**
 * Implements hook_views_default_views().
 */
function tmgmt_morningside_views_default_views() {
  $view = new view();
  $view->name = 'morningside_request_list';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'tmgmt_morningside_requests';
  $view->human_name = 'Morningside Request List';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Morningside Request List';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Search';
  $handler->display->display_options['exposed_form']['options']['expose_sort_order'] = FALSE;
  $handler->display->display_options['exposed_form']['options']['autosubmit'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'RequestNo' => 'RequestNo',
    'JobID' => 'JobID',
    'RequestStatus' => 'RequestStatus',
    'RequestedDueDate' => 'RequestedDueDate',
    'nothing' => 'nothing',
  );
  $handler->display->display_options['style_options']['default'] = 'RequestNo';
  $handler->display->display_options['style_options']['info'] = array(
    'RequestNo' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'JobID' => array(
      'sortable' => 0,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'RequestStatus' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'RequestedDueDate' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['label'] = 'No Request Found';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = 'No Request Found from Morningside.';
  /* Field: Morningside: Request No */
  $handler->display->display_options['fields']['RequestNo']['id'] = 'RequestNo';
  $handler->display->display_options['fields']['RequestNo']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['fields']['RequestNo']['field'] = 'RequestNo';
  /* Field: Morningside: Job ID */
  $handler->display->display_options['fields']['JobID']['id'] = 'JobID';
  $handler->display->display_options['fields']['JobID']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['fields']['JobID']['field'] = 'JobID';
  $handler->display->display_options['fields']['JobID']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['JobID']['alter']['text'] = '<a href="/admin/tmgmt/jobs/[JobID]">[JobID]</a>';
  $handler->display->display_options['fields']['JobID']['alter']['path'] = '/admin/tmgmt/jobs/[JobID]';
  /* Field: Morningside: Job Label */
  $handler->display->display_options['fields']['JobLabel']['id'] = 'JobLabel';
  $handler->display->display_options['fields']['JobLabel']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['fields']['JobLabel']['field'] = 'JobLabel';
  /* Field: Morningside: Source Languages */
  $handler->display->display_options['fields']['SourceLanguages']['id'] = 'SourceLanguages';
  $handler->display->display_options['fields']['SourceLanguages']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['fields']['SourceLanguages']['field'] = 'SourceLanguages';
  /* Field: Morningside: Target Language */
  $handler->display->display_options['fields']['TargetLanguage']['id'] = 'TargetLanguage';
  $handler->display->display_options['fields']['TargetLanguage']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['fields']['TargetLanguage']['field'] = 'TargetLanguage';
  /* Field: Morningside: Request Status */
  $handler->display->display_options['fields']['RequestStatus']['id'] = 'RequestStatus';
  $handler->display->display_options['fields']['RequestStatus']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['fields']['RequestStatus']['field'] = 'RequestStatus';
  /* Field: Morningside: Requested Due Date */
  $handler->display->display_options['fields']['RequestedDueDate']['id'] = 'RequestedDueDate';
  $handler->display->display_options['fields']['RequestedDueDate']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['fields']['RequestedDueDate']['field'] = 'RequestedDueDate';
  $handler->display->display_options['fields']['RequestedDueDate']['label'] = 'Request Due Date';
  $handler->display->display_options['fields']['RequestedDueDate']['element_label_colon'] = FALSE;
  /* Field: Morningside: Job ID */
  $handler->display->display_options['fields']['JobID_1']['id'] = 'JobID_1';
  $handler->display->display_options['fields']['JobID_1']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['fields']['JobID_1']['field'] = 'JobID';
  $handler->display->display_options['fields']['JobID_1']['exclude'] = TRUE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Operations';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<a class="button" href="/delete-request/[JobID_1]"> Cancel </a>
    <a class="button" href="/admin/tmgmt/morningside-request-details/[RequestNo]"> View Details </a>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  /* Filter criterion: Morningside: Request No */
  $handler->display->display_options['filters']['RequestNo']['id'] = 'RequestNo';
  $handler->display->display_options['filters']['RequestNo']['table'] = 'tmgmt_morningside_requests';
  $handler->display->display_options['filters']['RequestNo']['field'] = 'RequestNo';
  $handler->display->display_options['filters']['RequestNo']['group'] = 1;
  $handler->display->display_options['filters']['RequestNo']['exposed'] = TRUE;
  $handler->display->display_options['filters']['RequestNo']['expose']['operator_id'] = 'RequestNo_op';
  $handler->display->display_options['filters']['RequestNo']['expose']['label'] = 'Request No';
  $handler->display->display_options['filters']['RequestNo']['expose']['operator'] = 'RequestNo_op';
  $handler->display->display_options['filters']['RequestNo']['expose']['identifier'] = 'RequestNo';
  $handler->display->display_options['filters']['RequestNo']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['path'] = 'admin/tmgmt/morningside-request-list';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Request List';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 1;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'Request List';
  $handler->display->display_options['tab_options']['weight'] = '0';
  $views[$view->name] = $view;
  return $views;
}

/**
 * Add table fields in drupal view.
 */
function tmgmt_morningside_views_data() {

  $table = array(
    'tmgmt_morningside_requests' => array(
      'table' => array(
        'group' => 'Morningside',
        'base' => array(
          'title' => 'Morningside Requests',
          'help' => 'Morningside custom table',
        ),
      ),
      'RequestID' => array(
        'title' => t('Request ID'),
        'help' => t('Request ID'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'JobID' => array(
        'title' => t('Job ID'),
        'help' => t('Job ID'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'JobLabel' => array(
        'title' => t('Job Label'),
        'help' => t('Job Label'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'RequestNo' => array(
        'title' => t('Request No'),
        'help' => t('Request No'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'LanguageConnectID' => array(
        'title' => t('Language Connect ID'),
        'help' => t('Language Connect ID'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'MatterName' => array(
        'title' => t('Matter Name'),
        'help' => t('Matter Name'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'JobCreatorsName' => array(
        'title' => t('Job Creators Name'),
        'help' => t('Job Creators Name'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'JobCreatorsEmail' => array(
        'title' => t('Job Creators Email'),
        'help' => t('Job Creators Email'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'EmailTo' => array(
        'title' => t('Email To'),
        'help' => t('Email To'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'JobName' => array(
        'title' => t('Job Name'),
        'help' => t('Job Name'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'DocumentTypes' => array(
        'title' => t('Document Types'),
        'help' => t('Document Types'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'ServiceRequired' => array(
        'title' => t('Service Required'),
        'help' => t('Service Required'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'SourceLanguages' => array(
        'title' => t('Source Languages'),
        'help' => t('Source Languages'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'TargetLanguage' => array(
        'title' => t('Target Language'),
        'help' => t('Target Language'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'RequestType' => array(
        'title' => t('Request Type'),
        'help' => t('Request Type'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'DeliveryFormat' => array(
        'title' => t('Delivery Format'),
        'help' => t('Delivery Format'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'SpecialInstructions' => array(
        'title' => t('Special Instructions'),
        'help' => t('Special Instructions'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'JobStatus' => array(
        'title' => t('Job Status'),
        'help' => t('Job Status'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'RequestedDueDate' => array(
        'title' => t('Requested Due Date'),
        'help' => t('Requested Due Date'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'ProjectName' => array(
        'title' => t('Project Name'),
        'help' => t('Project Name'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'CustomerName' => array(
        'title' => t('Customer Name'),
        'help' => t('Customer Name'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'DescriptionMessage' => array(
        'title' => t('Description Message'),
        'help' => t('Description Message'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'RequestStatus' => array(
        'title' => t('Request Status'),
        'help' => t('Request Status'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'SavedSearchDocumentCount' => array(
        'title' => t('Saved Search Document Count'),
        'help' => t('Saved Search Document Count'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'ExpectedFileCount' => array(
        'title' => t('Expected File Count'),
        'help' => t('Expected File Count'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'TransferredFileCount' => array(
        'title' => t('Transferred File Count'),
        'help' => t('Transferred File Count'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),

        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
    ),

  );
  return $table;
}
