<?php

/**
 * @file
 * Template to display request details.
 *
 * - $requestNo : request ID.
 *
 * @ingroup views_templates
 */
?>
<h2>Request details for Request No. : <?php echo $requestNo; ?></h2>
<table class="dblog-event">
  <tbody>
    <tr class="odd"><th>Job ID</th><td> <a href="/admin/tmgmt/jobs/<?php echo $request->jobid; ?>"><?php echo $request->jobid; ?></a></td> </tr>
    <tr class="even"><th>Request ID</th><td><?php echo $request->requestid; ?></td> </tr>
    <tr class="odd"><th>Matter Name</th><td><?php echo $request->mattername; ?></td> </tr>
    <tr class="even"><th>Job Creators Name</th><td><?php echo $request->jobcreatorsname; ?></td> </tr>
    <tr class="odd"><th>Job Creators Email</th><td><?php echo $request->jobcreatorsemail; ?></td> </tr>
    <tr class="even"><th>representative Email</th><td><?php echo $request->emailto; ?></td> </tr>
    <tr class="odd"><th>Job Name</th><td><?php echo $request->jobname; ?></td> </tr>
    <tr class="even"><th>Source Languages</th><td><?php echo $request->sourcelanguages; ?></td> </tr>
    <tr class="odd"><th>Target Language</th><td><?php echo $request->targetlanguage; ?></td> </tr>
    <tr class="even"><th>Request Type</th><td><?php echo $request->requesttype; ?></td> </tr>
    <tr class="odd"><th>Delivery Format</th><td><?php echo $request->deliveryformat; ?></td> </tr>
    <tr class="even"><th>Special Instructions</th><td><?php echo $request->specialinstructions; ?></td> </tr>
    <tr class="odd"><th>Requested Due Date</th><td><?php echo $request->requestedduedate; ?></td> </tr>
    <tr class="even"><th>Project Name</th><td><?php echo $request->projectname; ?></td> </tr>
    <tr class="odd"><th>Customer Name</th><td><?php echo $request->customername; ?></td> </tr>
    <tr class="odd"><th>Request Status</th><td><?php echo $request->requeststatus; ?></td> </tr>
  </tbody>
</table>
<?php
if(empty($quotes)) {
  echo '<h4>Quote is not generated for request: ' . $requestNo . '</h4>';
}
else { ?>
<h4>Quote details</h4>
<table class=" cols-7">
  <thead>
    <tr>
      <th scope="col"> ID </th>
      <th scope="col"> Quote No </th>
      <th scope="col"> Rate </th>
      <th scope="col"> Currency </th>
      <th scope="col"> Estimated Price </th>
      <th scope="col"> Turnaround Time </th>
      <th scope="col"> Status </th>
      <th scope="col"> Operation </th>
    </tr>
  </thead>
  <tbody>
  <?php
  $cnt = 1;
  foreach($quotes as $quote) { ?>
    <tr class="<?php echo ($cnt == 1) ? "odd" : "even"; ?>">
      <td><?php echo $quote->quoteid; ?></td>
      <td><?php echo $quote->quoteno; ?></td>
      <td><?php echo $quote->rate; ?></td>
      <td><?php echo $quote->currency; ?></td>
      <td><?php echo $quote->estimatedprice; ?></td>
      <td><?php echo $quote->turnaroundtime; ?></td>
      <td><?php echo $quote->quotestatus; ?></td>
      <?php
      if($quote->quotestatus == 'Quote Complete'){
        $d = request_path();
        $alink = '?qno=' . $quote->quoteno . '&s=approve&destination=' . $d;
        $rlink = '?qno=' . $quote->quoteno . '&s=reject&destination=' . $d;
        ?>
        <td>
          <a
            class="button"
            href="/approve-request<?php echo $alink;?>" >
              Approve
          </a>
          <a
            class="button"
            href="/approve-request<?php echo $rlink;?>" >
              Reject
          </a>
        </td>
      <?php
      }
      else {
        echo "<td>&nbsp;</td>";
      }
      ?>
    </tr>
    <?php
    $cnt = ($cnt == 1) ? 2 : 1;
  }
  ?>
  </tbody>
</table>
<?php
}
if(empty($orders)) {
  echo '<h4>Order is not generated for request: ' . $requestNo . '</h4>';
}
else { ?>
  <h4>Order details</h4>
  <table class=" cols-6">
    <thead>
      <tr>
        <th scope="col"> ID </th>
        <th scope="col"> Order No </th>
        <th scope="col"> Quote No </th>
        <th scope="col"> Invoice Amount </th>
        <th scope="col"> Delivery Date </th>
        <th scope="col"> Status </th>
      </tr>
    </thead>
    <tbody>
    <?php
    $cnt = 1;
    foreach($orders as $order) { ?>
      <tr class="<?php echo ($cnt == 1) ? "odd" : "even"; ?>">
        <td><?php echo $order->orderid; ?></td>
        <td><?php echo $order->orderno; ?></td>
        <td><?php echo $order->quoteno; ?></td>
        <td><?php echo $order->invoiceamount; ?></td>
        <td><?php echo $order->deliverydate; ?></td>
        <td><?php echo $order->orderstatus; ?></td>
      </tr>
      <?php
      $cnt = ($cnt == 1) ? 2 : 1;
    }
    ?>
    </tbody>
  </table>
<?php
}
?>
